lights_DD_ModPassion = {};

function lights_DD_ModPassion.prerequisitesPresent(specializations) return true; end;

function lights_DD_ModPassion:load(xmlFile) self.turnSignalL = false; self.turnSignalR = false; self.turnSignalLR = false; self.turnSignal = 0; self.count = 0; end;

function lights_DD_ModPassion:delete() end;

function lights_DD_ModPassion:mouseEvent(posX, posY, isDown, isUp, button) end;

function lights_DD_ModPassion:keyEvent(unicode, sym, modifier, isDown) end;

function lights_DD_ModPassion:update(dt)	
	if self:getIsActive() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_TURNSIGNAL_LEFT) then if self.turnSignalL == false then self.turnSignalL = true; self.turnSignalR = false; self.turnSignalLR = false; else self.turnSignalL = false; end; end;
		if InputBinding.hasEvent(InputBinding.TOGGLE_TURNSIGNAL_RIGHT) then if self.turnSignalR == false then self.turnSignalR = true; self.turnSignalL = false; self.turnSignalLR = false; else self.turnSignalR = false; end; end;
		if InputBinding.hasEvent(InputBinding.TOGGLE_TURNSIGNAL_HAZARD) then if self.turnSignalLR == false then self.turnSignalLR = true; self.turnSignalL = false; self.turnSignalR = false; else self.turnSignalLR = false; end; end;
		if InputBinding.hasEvent(InputBinding.TOGGLE_LIGHTS_FPS) then self.turnSignal = self.turnSignal + 1; if self.turnSignal == 3 then self.turnSignal = 0; end; end;
		if (self.movingDirection == -1 and self.turnSignalLR == true) or (self.movingDirection == -1 and self.turnSignalL == true) or (self.movingDirection == -1 and self.turnSignalR == true) or (self.movingDirection == -1 and self.turnSignal == 1 or self.turnSignal == 2) then self:playAnimation("signalN", 1); if self.count == 1 then self.count = self.count - 1; end; else if self.count == 0 then self:playAnimation("signalNB", 1); self.count = self.count + 1; end; end;
		if self.turnSignal == 1 or self.turnSignal == 2 then self:playAnimation("signalB", 1); else self:playAnimation("signalBB", 1); end;
		if self.turnSignalL == true and self.turnSignalR == false and self.turnSignalLR == false then self:playAnimation("signalL", 0.5); end;
		if self.turnSignalR == true and self.turnSignalL == false and self.turnSignalLR == false then self:playAnimation("signalR", 0.5); end;
		if self.turnSignalLR == true and self.turnSignalL == false and self.turnSignalR == false then self:playAnimation("signalLR", 1); end; end; end;

function lights_DD_ModPassion:loadFromAttributesAndNodes(xmlFile, key, resetVehicles) return BaseMission.VEHICLE_LOAD_OK; end;

function lights_DD_ModPassion:getSaveAttributesAndNodes(nodeIdent) end;

function lights_DD_ModPassion:updateTick(dt) end;

function lights_DD_ModPassion:draw() end;

function lights_DD_ModPassion:onAttach(attacherVehicle, jointDescIndex) end;
		
function lights_DD_ModPassion:onDetach()	end;

function lights_DD_ModPassion:onDeactivate() end;